name: multipitch-architectures

channels:
  - defaults
  - conda-forge

dependencies:
  - python=3.7.*
  - pip=19.2.*
  - numpy=1.17.*
  - scipy=1.3.*
  - matplotlib=3.1.*
  - ipython=7.8.*
  - jupyter=1.0.*
  - pandas=1.0.*
  - scikit-learn=0.21.*
  - ffmpeg=2.8.*
  - numba=0.51.*
  - jupyter_contrib_nbextensions=0.5.*
  - nbconvert=5.6.*
  - pytorch=1.6.0
  - torchvision==0.7.0
  - torchinfo=0.0.8
  - cudatoolkit=9.2

  - pip:
    - mir-eval==0.5.*
    - nbstripout==0.3.*
    - music21==5.7.*
    - pretty_midi==0.2.*
    - librosa==0.8.*
    - pysoundfile==0.9.*
    - h5py==3.1.*
    - helpers==0.2.*
